#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    deque<int> v;
    for(int i=0;i<n;i++)
    {
        int p;
        cin>>p;
        v.push_back(p);
    }
    for(int i=0;i<k-1;i++)
    {
        int q = v.size()-1;
        if(v[q]>v[0])
        {
            v[q]-=v[0];
            v.pop_front();
        }
        else
        {
            v[0]-=v[q];
            v.pop_back();
        }
    }
    cout<<v[0];

    return 0;
}